PUT/ pipelines/ :id/
Update pipeline
You can update a specific pipeline.
Attributes
Optional unless marked required
- id
- A unique identifier for the pipeline which is given by User automatically.
- name
- A pipeline name.
Request
- cURL
- JavaScript
- PHP
- Python
curl -X PUT "https://<your_app_subdomain>.user.com/api/public/pipelines/:id/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2" \
-H "Content-Type: application/json" \
-d '{
"name": "Enterprise and mid-market sales"
}'
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/pipelines/:id/",
{
method: "PUT",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "Enterprise and mid-market sales",
}),
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/pipelines/:id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => json_encode([
"name" => "Enterprise and mid-market sales",
]),
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.put(
"https://<your_app_subdomain>.user.com/api/public/pipelines/:id/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
json={
"name": "Enterprise and mid-market sales",
},
)
print(response.json())
Response examples
- 200 OK
- 404 Not Found
{
"id": 6178,
"name": "Pipeline updated"
}
{
"detail": "No Pipeline matches the given query."
}
Response fields
Fields returned in the 200 OK response body.
- id
- A unique identifier for the pipeline which is given by User automatically.
- name
- A pipeline name.
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.